like {data.table} | R Documentation

## Convenience function for calling regexpr.

### Description

Intended for use in `i` in `[.data.table`.

### Usage

    like(vector,pattern)
    vector %like% pattern

### Arguments

`vector` | Either a `character` vector or a `factor`. A `factor` is faster.
`pattern` | Passed on to `grepl`.

### Value

Logical vector, `TRUE` for items that match `pattern`.

### Note

Current implementation does not make use of sorted keys.

### See Also

`data.table`, `grepl`

### Examples

    DT = data.table(Name=c("Mary","George","Martha"), Salary=c(2,3,4))
    DT[Name %like% "^Mar"]

[Package data.table version 1.10.0 Index]